package com.crm.rely.backend.core.dto.follow.daily;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author y
 * @create 2022/5/17
 */
@Data
public class FollowChartSymbolDto {

    private Float totalVolume;

    private List<FollowChartSymbolDetailDto> profits;

    private List<FollowChartSymbolDetailDto> volumes;

    public static FollowChartSymbolDto getInstance(){
        FollowChartSymbolDto dto = new FollowChartSymbolDto();
        dto.setProfits(new ArrayList<>());
        dto.setVolumes(new ArrayList<>());
        dto.setTotalVolume(0F);
        return dto;
    }

}
